Find the answer to your Linux question:
Results 1 to 7 of 7
I have seen other posts, but the information did not fix this. Linux sees the wireless but won't load the driver. I need to know how to get the driver ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jul 2005
    Location
    Missouri - USA
    Posts
    4

    Atheros 802.11 Installing Driver - Help - Toshiba A75 S211


    I have seen other posts, but the information did not fix this. Linux sees the wireless but won't load the driver. I need to know how to get the driver installed. I downloaded from cvs and got the madwifi drivers, but get an error message on the make and makefile part that says "only kernel 2.4.X or higher supported....blah blah Any help? Thanks.

  2. #2
    Just Joined!
    Join Date
    Jul 2005
    Posts
    19

    I just went thew this myself.
    please go to

    http://madwifi.sourceforge.net/

    do your reading and get the stuff on the machine

    I used Mandrake Control Center (MCC) to update to the latest Kernel 2.6.
    See my thread on this issue at

    http://www.linuxforums.org/forum/viewtopic.php?t=46620

    Hope this helps.

  3. #3
    Just Joined!
    Join Date
    Jul 2005
    Location
    Missouri - USA
    Posts
    4

    Yeah - Someone knows what I'm going through

    My A75 has that same problem with a different error message....but it is my kernel that causes it....not 2.4.?? or hight. When I loaded 2.6 my mouse stopped working so I couldn't login to kde.

    which 2.6 kernel did you use...full info

    Thanks so much

  4. #4
    Just Joined!
    Join Date
    Jul 2005
    Posts
    19
    I used 2.6.8.1-12mdksmp
    I found it in the mandrake update
    The mouse you speak of...is it the touch pad or some usb thing?

  5. #5
    Just Joined!
    Join Date
    Jul 2005
    Location
    Missouri - USA
    Posts
    4
    Where did you find that kernel? I see 3 choices for 2.6 or higher and its not listed.
    Yes it is a wireless usb mouse, but seems to work now..hmmm
    I booted with one of the 2.6 kernels and all is well,but still get error message at "make install" stating it needs 2.4.X or higher. Did it change my kernel during one of the previous steps listed at Wiki?

    I guess, we have the same unit, and same problem...that gives me hope.

  6. #6
    Linux Guru bigtomrodney's Avatar
    Join Date
    Nov 2004
    Location
    Ireland
    Posts
    6,127
    There are premade rpms for the kernel modules. You should be able to urpmi them, or if you fancy an upgrade LE2005 has them out of the box...

  7. #7
    Just Joined!
    Join Date
    Jul 2005
    Posts
    19
    It seems like you got the kernel but not the kernelsource. I didn't know the difference at first. If this n00b mistake has occurred, welcome to the family.
    Where you say, I had mine listed in the Mandrake Update. easy urmi may be another way for you to go if you need to get way more packages than you thought. You can go to easyurpmi.zarb.org for that.
    If your having issues with it, I'd lose the mouse if I were you. At least if the mouse is not playing well with others. If it's working leave it alone. Otherwise remove as many variables as you can.
    Please copy the error your seeing in the shell and post them so we can get a better look.
    Good luck!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •